CD Offline

CD Offline Logo CD Offline CD Offline Logo

Vlastnosti:

  • off-line prohlížení obsahu CD a HDD (a jejich částí) bez mechaniky CD-ROM
  • tvorba archívů CD a HDD k off-line prohlížení (i archivů ZIP a RAR)
  • lze naskenovat všechny soubory nebo jen adresáře či vybrané typy souborů
  • v naskenovaných archívech lze i mazat
  • vyhledávání v těchto archívech
  • export těchto archivů do HTML (pak můžete archivy prohlížet bez tohoto programu)
  • není potřeba žádný externí databázový engine či cokoli jiné
  • tvorba zpětného seznamu (databáze), kde je jaký program nebo data
  • export databáze do HTML dle zvolené šablony
  • změna jazyka za chodu programu (textové soubory *.lng )
  • a další vylepšení v příštích verzích (ta co mne napadnou nebo si o ně napíšete)

Terminologie a Tipy:

  • Filosofie a terminologie programu
  • Tipy pro katalogizaci MP3

Podrobný popis:

  • Hlavní menu a tlačítkové menu
  • Nový archiv
  • Hledat
  • Export do html
  • Horní okno
  • Levé okno
  • Prostřední okno
  • Pravé okno
  • Otevírání souborů z CD Offline
  • Zpětný seznam
  • Nastavení programu

Hlavní okno prohlížeče:

Hlavní okno programu

Autorova HomePage: Helium Web Napište Autorovi


HTMLHelp File Created Using:

Web2HTMLHelp 		Free To Download From:
http://www.web2htmlhelp.co.uk

Also Available:
HTMLHelp ePublisher
HTMLHelp eDocument Creation Made Easy

Free To Download From:
http://www.htmlhelp-epublisher.co.uk

[ Back ]


CD Offline ( Databáze )

Zpětný seznam:

Dialogové okno zpětného seznamu:

  • záznamy zpětného seznamu jsou vkládány z hlavního okna, pomocí menu pravého tlačítka myši v prostředním okně nebo z Menu-Funkce-Vložit
  • ke každému záznamu lze napsat komentář v pravé části okna
  • přemístění do jiné kategorie se provede metodou drag&drop (táhni myší a pust)
  • menu pravého tlačítka v levém okně
  • menu pravého tlačítka v prostředním okně

Zpět


CD Offline (Hledat)

Dialogové okno pro vyhledávání v archivech (2 varianty):

Hledání probíhá:

  • v právě otevřeném archivu a aktuálním adresáři
  • ve všech archivech
  • v označených archivech
  • v archivech které patří do subkategorií určených stavem levého okna

Kritéria prohledávání:

Maska souborů: používá k určení tvz.: divoké znaky (wild card), kde "*" zastupuje libovolný počet znaků (i žádný znak), a "?" zastupuje právě jeden znak.

Maska | její význam
abc.txt | je hledán soubor s přesným názvem "abc.txt"
Program Files | je hledán soubor s přesným názvem "Program Files"
*.txt | všechny soubory s koncovkou ".txt"
doc_02?.txt | např.: doc_020.txt, doc_021.txt, doc_02A.txt, atd.
* | úplně všechny soubory a adresáře
*.* | všechny soubory a adresáře s koncovkou

Malá a velká písmena určuje zda se má při porovnávání vyžadovat tato shoda (u masky souborů).

Velikost ve zvolených násobcích (B, kB, MB, ...) a porovnání na rovnost, větší, menší. (Pozn.: 1kB=1024B, 1MB=1024kB, atd.).

Poznámka a Popis
vstupem jsou části textu oddělené mezerami, které mají být obsaženy v hledaném záznamu, dále volíme zda postačí shoda jen některé části textu (nastavíme OR), nebo zda požadujeme, aby v hledané položce byly obsaženy všechny části textu (nastavíme AND). (zde se nepoužívají divoké znaky).

Druhý způsob zobrazení zvýraznuje souhlasné znaky, ale výpis není kompletní.
  • dvojklikem na vybraný řádek se toto okno zavře a načte se daný archiv do prohlížeče s označným souborem v dané cestě
  • smazat po zavření lze využít pro opakované nahlédnutí na nalezené položky


CD Offline (menu)

Menu:

Rozvinutá menu:

Menu operací se soubory
  • založení (načtení) nového archívu
  • otevření existujícího archivu z libovolného disku a adresáře
  • uložení upraveného (editovaného) archivu
  • volba pracovního adresáře, ze kterého se načítají archívy, relativně vůči adresáři programu
  • volba pracovního adresáře, ze kterého se načítají archívy, kdekoliv
  • (tyto dvě volby umožnují uskupovat archivy do jednotlivých adresářů, např.: podle majitelů CD)
  • změna jazyka za chodu programu (textové soubory *.lng)
  • ukončení programu
Menu funkcí
  • hledání v právě načteném archivu, od právě aktuálního adresáře
  • hledání ve všech archívech, vybraných (označených) nebo podle kategorie rozvinuté v levém okně
  • převedení archivu do formátu HTML ( export do html )
  • otevře Zpětný seznam (databázi) pro prohlížení
Menu volby zobrazení
  • zobrazovat mřížku v horním a prostředním okně
  • volba velikosti ikon v prostředním okně
  • volba velikosti ikon v horním okně
Nastaveni
  • otevře nastavení barev a apd. Nastavení programu
Menu s nápovědou
  • otevře domovskou stránku programu ve výchozím webovém prohlížeči
  • otevře tuto nápovědu
  • zobrazí informace o programu


CD Offline (MP3 tipy)

Tipy pro katalogizaci MP3:

Při tvorbě Archívu lze určit, které typy souborů budou scanovány (standartně všechny). Můžeme tedy zadat scanování např.: jen souborů MP3 a M3U.
Pro soubory MP3 lze nastavit načítání ID3 tagu a způsob jeho vkládání k popisu souboru.
M3U jsou textové soubory a lze jejich obsah načíst do popisu souboru, stačí nastavit načítat "vkládat do popisu ze souborů" a v načítaných textových souborech vybrat soubory M3U.
Pro vytvoření celkového seznamu využijte tvorbu Zpětného seznamu a jeho export do HTML dle zvolené šablony (můžete si napsat i vlastní šablonu).


CD Offline (nový archiv)

Nový archiv:

Dialogové okno pro tvorbu nového archivu:

Dialogové okno pro tvorbu nového archívu

Volba názvu budoucího archívu a kategorií podle, kterých bude řazen, stručný popis a volba zdrojové mechaniky.
Kategorie je volena v pořadí Medium - Typ - Subtyp.

Volba včetně archivů RAR a ZIP umožní v budoucím archivu listovat obsahem těchto archivů.
Volba vkládat popis ze souborů vloží do popisu těchto souborů až navolenou velikost (zde 500B) v bajtech. Textové soubory z nichž se má vkládat počátečních x znaků se volí stiskem tlačítka soubory.

Načítat po vložení média a po načtení vysunout dvířka umožnuje při zdrojové mechanice CD-ROM okamžitě načítat média a po načtení vysunout médium. (funkčnost vyžaduje bezproblémovou mechaniku)

  • v levém okně se nastavují textové soubory, jejichž počáteční část má být vložena do popisu scanovaného souboru
  • v právém okně lze nastavit, aby se scanovali pouze samotné adresáře nebo vybrané typy souborů
  • v pravém okně, jsou-li škrtátka nezaškrtnutá, scanují se všechny soubory
  • pokud máte Audio CD popsaná v Přehrávači CD, lze tyto názvy načíst
  • u MP3 souborů s ID3 tagem (obsahuje informace o skladbě) se může tato informace vložit k souboru do jeho popisu
Tip: Pokud necháte políčko Název prázdné a zvolíte tlačítko Načti, tak se automaticky vygeneruje název dle vzoru Jmenovka+SN. Název samozřejmě můžete později přejmenovat. Vhodné pro řežim AutoScanu.

Tip: Informace z políček Název a dalších je použita při počátku načítání, to umožnuje během načítání připravit popisy pro další médium.
Riziko: Nebude-li archiv zapsán na disk (nedostatek místa apd.) nezapomente, že jste políčka přepsali jinými texty (pro nový scan).


CD Offline

Otevírání souborů z CD Offline:

Poklepáním (dvojklikem nebo Enter) na soubor v prostředním okně se aktivuje otevření vybraného souboru. Automaticky se volí první jednotka CD-ROM a po vložení CD se správným souborem, se spustí-otevře zvolený soubor. (tato fce nefunguje na soubory v archívech ZIP a RAR).
Okno se zruší spuštěním programu nebo stiskem klávesy Esc.


CD Offline (nastavení)

Nastavení programu:

  • v záložce Barvy lze nastavit barevná pozadí uvedených oken
  • záložní soubory *.BAK jsou vytvářeny vždy, když dojde k uložení změny v archívu
  • místo nápisu <DIR> lze automaticky počítat velikost adresářů, tato volba je časově náročnější
  • zvýraznování položek v neaktivních okne je šikovné pro orientaci, která položka je v neaktivním okně vybrána
  • u Popisu v pravém okně lze nezalamovat/zalamovat řádky
  • při nezaškrtlém políčku je přednastavována první mechanika CD-ROM, při zaškrtlém políčku je přednastavována poslední mechanika CD-ROM pro spouštění a načítání archivů
  • při spouštění programů může být nalezen program/data na CD, ale sériové číslo CD nesouhlasí, zde lze zvolit ignorovaní této neshody (při spouštění to lze provádět i ručně)
  • běžně je používáno několik obecných ikon pro zobrazované soubory, zaškrtnutím se budou zobrazovat ikony souborů tak, jak jsou asociovány na vašem systému (nutností je možnost zápisu do adresáře ...TEMP nebo do adresáře programu, pokud ...TEMP není definován)


CD Offline (terminology)

Filosofie a terminologie programu:

Prvotním cílem programu je vytvářet co nejpřesnější otisk vašeho média (CD), a každý tento otisk se ukládá do Archívu. Archívy jsou soubory s koncovkou *.cd , které jsou ukládány v tvz. pracovním adresáři (přednastavený ......\CD Offline\CDcka ). Jedno médium jeden archív. Pracovních adresářů můžete míte více a to kdekoli.

V archívech lze ke každému souboru a adresáři napsat poznámku a podrobnější popis. V archívech lze soubory i mazat. Už při scanování CD lze určit zda se mají scanovat jen vybrané typy souborů nebo jen adresáře.

Archívy jsou pro přehlednost řazeny do kategorií, které lze určit již při scanování CD do archívu nebo později přeřadit do jiné kategorie. Informace o kategoriích je uložena v souboru _cd_.lst , který je v každém pracovním adresáři.

Další významnou fcí programu je tvz. Zpětný seznam (databáze není přesný název), který slouží zejména k orientaci, kde je jaký program nebo data. Informace do zpětného se seznamu se zadávají ručně nebo poloručně z prohlížeče archivů CD. Zpětný seznam je uložen v souboru cd.db v adekvátním pracovním adresáři.


CD Offline (export do html)

Export do HTML:

Dialogové okno exportu-konverze do formátu HTML:

Dialogové okno pro export archivu do HTML
  • Položky vybraného archívu jsou stiskem tlačítka OK převedeny do formátu HTML.
  • Tlačítkem Zobraz se archív ve formátu HTML zobrazí ve výchozím Webovém prohlížeči.
  • a volba pro přesunutí *.html souboru do zvoleného adresáře pod zvoleným jménem.


CD Offline (levé okno)

Levé okno:

  • zobrazuje kategorie CDček
  • dvojklikem se načtou CDčka kategorie do horního okna prohlížeče
  • pomocí menu pravého tlačítka lze manipulovat s kategoriemi a vytvářet nové kategorie, prázdné kategorie se smažou samy po skončení programu
  • přejmenování se provede dvojklikem na text kategorie
  • hloubka kategorií je neomezená
  • CDčka vkládáme do kategorií pomocí Drag&Drop z horního okna
  • v pravém horním rohu je tlačítko na změnu pracovního adresáře


CD Offline (prostřední okno)

Prostřední okno:
  • prohlížení načteného archivu
  • ovládání dvojklikem myší a klávesami [nahoru, dolů, Enter, Backspace, Del, +, -]
  • v pravém horním rohu tlačítka pro změnu adresáře, "cd .." a "cd \"
  • stiskem mezerníku lze spočítat velikost adresáře (tuto možnost lze zvolit v nastavení automaticky)
  • pomocí menu pravého tlačítka myši lze zvolený soubor či adresář přidat do Databáze (zpětného seznamu) nebo spočítat velikost adresáře, a také spustit asociovaným programem
  • záznamy lze i mazat, pro označení/odoznačení více položek lze použít masku (klávesové zkratky [+,-])


CD Offline (pravé okno)

Pravé okno:

  • zobrazuje a edituje poznámku aktivní položky načteného archivu
  • zobrazuje a edituje popis pro aktivní položku načteného archivu


CD Offline (horní okno)

Horní okno:

  • zobrazuje CDčka dle výběru levého okna
  • dvojklikem se načte archiv do prohlížeče ( prostřední okno )
  • pomocí menu pravého tlačítka lze archívy mazat nebo přeřadit do jiné kategorie změnou Vlastností, vyexportovat 1 vybraný archív do HTML, sloučit více archivů do jednoho archivu (vhodné pro nerozsáhlé archivy nebo vícediskové archívy)
  • archívy lze metodou Drag&Drop přemistovat do jiných kategorií v levém okně


CD Offline (pracovní adresář)

Pracovní adresář:

  • volba pracovního, ze kterého se načítají archívy, relativně vůči adresáři programu
  • vhodné pro rozlišování majitelů CDček